/**
 * @file GIndividualMultiConstraint.cpp
 */

/*
 * Copyright (C) Gemfony scientific UG (haftungsbeschraenkt)
 *
 * See the AUTHORS file in the top-level directory for a list of authors.
 *
 * Contact: contact [at] gemfony (dot) com
 *
 * This file is part of the Geneva library collection.
 *
 * Geneva was developed with kind support from Karlsruhe Institute of
 * Technology (KIT) and Steinbuch Centre for Computing (SCC). Further
 * information about KIT and SCC can be found at http://www.kit.edu/english
 * and http://scc.kit.edu .
 *
 * Geneva is free software: you can redistribute and/or modify it under
 * the terms of version 3 of the GNU Affero General Public License
 * as published by the Free Software Foundation.
 *
 * Geneva is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with the Geneva library. If not, see <http://www.gnu.org/licenses/>.
 *
 * For further information on Gemfony scientific and Geneva, visit
 * http://www.gemfony.com .
 */

#include "geneva/GIndividualMultiConstraint.hpp"

// Make sure the instantiation with GOptimizableEntity as template argument can be serialized
BOOST_CLASS_EXPORT_IMPLEMENT(Gem::Geneva::GValidityCheckT<Gem::Geneva::GOptimizableEntity>)
BOOST_CLASS_EXPORT_IMPLEMENT(Gem::Geneva::GInvalidityCheckT<Gem::Geneva::GOptimizableEntity>)
BOOST_CLASS_EXPORT_IMPLEMENT(Gem::Geneva::GANDCheckCombinerT<Gem::Geneva::GOptimizableEntity>)
BOOST_CLASS_EXPORT_IMPLEMENT(Gem::Geneva::GORCheckCombinerT<Gem::Geneva::GOptimizableEntity>)
BOOST_CLASS_EXPORT_IMPLEMENT(Gem::Geneva::GXORCheckCombinerT<Gem::Geneva::GOptimizableEntity>)
